#ifndef i2clcd_h
#define i2clcd_h

#include "Arduino.h"

#define CMD 0x00

class i2clcd
{
  public:
   i2clcd();
   i2clcd(byte i2cadr);
   i2clcd(byte lbr, byte i2cadr);
   i2clcd(byte v5or33, byte lbr, byte i2cadr);
   int i2cwritecmd(byte cmd);
   int i2cwritedata(byte data);
   int i2cwritedsd(byte cltd, byte data);
   void lcdcu_set(int x, int y);
   void lcdclear();
   void lcdhome();
   void dsift_l();
   void dsift_r();
   void init_lcd();
   void init_lcd2();
   void i2cprint( String pdata);
private:
   byte _addr;
   byte _v5or33;
   byte _br;
   byte _cltdata;
   byte chkcltdata(byte adr);
};

#endif
